CREATE TABLE IF NOT EXISTS `plugin_eway_settings` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_eway_transactions` (
`id` INT NOT NULL AUTO_INCREMENT ,
`transactionId` VARCHAR( 40 ) NULL DEFAULT NULL ,
`authCode` CHAR( 6 ) NULL DEFAULT NULL ,
`cardNumber` CHAR( 8 ) NULL DEFAULT NULL ,
`invoiceNumber` CHAR( 20 ) NULL DEFAULT NULL ,
`email` VARCHAR( 50 ) NULL DEFAULT NULL ,
`status` CHAR( 8 ) NULL DEFAULT NULL ,
`paymentType` VARCHAR( 15 ) NULL DEFAULT NULL ,
`amount` VARCHAR( 25 ) NULL DEFAULT NULL ,
`tax` VARCHAR( 15 ) NULL DEFAULT NULL ,
`paymentDate` TIMESTAMP NULL DEFAULT NULL ,
`firstName` VARCHAR( 40 ) NULL DEFAULT NULL ,
`lastName` VARCHAR( 40 ) NULL DEFAULT NULL ,
`address` TEXT NULL DEFAULT NULL ,
`shipAddress` TEXT NULL DEFAULT NULL ,
`contact` TEXT NULL DEFAULT NULL ,
`cartId` INT(11) NULL DEFAULT NULL ,
`reason` VARCHAR(255) NULL,
PRIMARY KEY ( `id` )
) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci;
